
package de.ivu.elect.jee.security;

public class LoginChangeEvent {

  private final Login< ? > login;

  private final IpHostname ipHostname;

  private String sessionId;

  public LoginChangeEvent(Login< ? > login, IpHostname ipHostname, String sessionId) {
    this.login = login;
    this.ipHostname = ipHostname;
    this.sessionId = sessionId;
  }

  public Login< ? > getLogin() {
    return login;
  }

  public IpHostname getIpHostname() {
    return ipHostname;
  }

  public String getSessionId() {
    return sessionId;
  }
}
